use strict;

package ASCOPE::Delicious;
use base qw (ASCOPE::Delicious::User);

# $Id: Delicious.pm,v 1.8 2004/03/03 05:26:52 asc Exp $

=head1 NAME

ASCOPE::Delicious - Aaron's del.icio.us hack

=head1 SYNOPSIS

=head1 DESCRIPTION

=cut

$ASCOPE::Delicious::VERSION = '0.01';

use ASCOPE::Delicious::DateTime;

sub new {
    my $pkg  = shift;
    my $args = shift;

    my $self = ($pkg->search($args))[0];

    if (! $self) {
	return undef;
    }

    return bless $self, $pkg;
}

sub posts_for_date {
    my $self = shift;
    my $yyyy = shift;
    my $mm   = shift;
    my $dd   = shift;

    my $dt = ASCOPE::Delicious::DateTime->new(year=>$yyyy,
					      month=>$mm,
					      day=>$dd);
    
    # Replace with if/else cascade to figure out which 
    # SQL date formatting magic to use here ?

    # Defaults to 00:00:00
    my $start = $dt->epoch();

    $dt->set(hour=>23,minute=>59,second=>59);
    my $stop = $dt->epoch();

    my $posts = ASCOPE::Delicious::Post->table();

    return ASCOPE::Delicious::Post->search_where({"userid"                => $self->id(),
						  "date"                  => { ">=" => $start },
						  join(".",$posts,"date") => { "<=" => $stop }});
}

sub add_post {
    my $self = shift;
    my $args = shift;

    my $url = ASCOPE::Delicious::Url->find_or_create({url=>$args->{url}});
    my $dt  = ASCOPE::Delicious::DateTime->now();

    #

    my $post = ASCOPE::Delicious::Post->create({userid      => $self,
						urlid       => $url,
						title       => $args->{title},
						description => $args->{description},
						date        => $dt->epoch()});
    
    #

    map { 
	my $tag = ASCOPE::Delicious::Tag->find_or_create({tag => $_});
	ASCOPE::Delicious::Post::Tag->find_or_create({tagid  => $tag,
						      postid => $post});
    } grep { 
	$_ =~ /\w/;
    } split(" ",$args->{tag});

    #

    return $post;
}

=head1 VERSION

0.01

B<If it's not already clear, this is alpha quality software!>

=head1 DATE

$Date: 2004/03/03 05:26:52 $

=head1 AUTHOR

Aaron Straup Cope

=head1 LICENSE

Copyright (c) 2004 Aaron Straup Cope. All rights reserved.

This is free software, you may use it and distribute it under the
same terms as Perl itself.

=cut

return 1;
