use strict;
package ASCOPE::Delicious::Apache::Tag;

# $Id: Tag.pm,v 1.4 2004/03/02 19:36:20 asc Exp $

=head1 NAME

ASCOPE::Delicious::Apache::Tag -

=head1 SYNOPSIS

=head1 DESCRIPTION

=cut

use Apache;
use Apache::Constants qw (:common);

use ASCOPE::Delicious::Template;
use ASCOPE::Delicious::User;

sub handler {
    my $apache = shift;

    $apache->uri() =~ m!^/d/tag/([^/]+)(?:/(.*))?$!;

    my $user  = $1;
    my $limit = $2;
    
    $limit =~ s/~/%/g;

    my $del = ASCOPE::Delicious::User->retrieve_by_username($user);

    if (! $del) {
	$apache->content_type(qq(text/plain));
	$apache->send_http_header();
	print "can't find anything for ".$apache->uri()."\n";
	return OK;
    }

    $apache->content_type("text/html");
    $apache->send_http_header();

    my $tt = ASCOPE::Delicious::Template->new();
    my $it = $del->tags($limit);

    $tt->process("public/tag.tt",
		 {user => $user,
		  tags => $it},
		 $apache);

    return OK;
}


=head1 VERSION

0.01

B<If it's not already clear, this is alpha quality software!>

=head1 DATE

$Date: 2004/03/02 19:36:20 $

=head1 AUTHOR

Aaron Straup Cope

=head1 LICENSE

Copyright (c) 2004 Aaron Straup Cope. All rights reserved.

This is free software, you may use it and distribute it under the
same terms as Perl itself.

=cut

return 1;
