use strict;
package ASCOPE::Delicious::DBI;

# $Id: DBI.pm,v 1.6 2004/03/03 05:26:52 asc Exp $

=head1 NAME

ASCOPE::Delicious::DBI -

=head1 SYNOPSIS

=head1 DESCRIPTION

=cut

BEGIN {
    use ASCOPE::Delicious::Config;

    my $dbd = $ASCOPE::Delicious::Config::dbd;
    $dbd =~ s/:://g;

    my $base_class = join("::","Class::DBI",$dbd);
    eval "require $base_class";

    if ($@) {
	die $@;
    }

    push @ASCOPE::Delicious::DBI::ISA, $base_class;
}

use constant LOCAL_DBMAIN => $ASCOPE::Delicious::Config::dbmain;
use constant LOCAL_DSN    => join(":",
				  $ASCOPE::Delicious::Config::dbi,
				  $ASCOPE::Delicious::Config::dbd,
				  $ASCOPE::Delicious::Config::database);

use constant LOCAL_USER => $ASCOPE::Delicious::Config::username;

print "LOCAL_DSN IS ".LOCAL_DSN."\n";

__PACKAGE__->set_db(LOCAL_DBMAIN,LOCAL_DSN,
		    LOCAL_USER,
		    &_pswd($ASCOPE::Delicious::Config::password));

sub _pswd {
    my $pswd = shift;
    my $c    = caller;

    if ($c ne __PACKAGE__) {
	return undef;
    }

    if (! $pswd) {
	return undef;
    }

    elsif (-f $pswd) {

	require IO::File;
	my $fh = IO::File->new();

	if (! $fh->open()) {
	    return undef;
	}

	my $ln = $fh->getline();
	chomp $ln;

	$fh->close();
	return $ln;
    }

    elsif (-d $pswd) {
	require File::Spec;
	my $pswd_file = File::Spec->catfile($pswd,
					    $ASCOPE::Delicious::Config::username);

	if (! -f $pswd_file) {
	    return undef;
	}

	return &_pswd($pswd_file);
    }

    else {
	return $pswd;
    }
}


=head1 VERSION

0.01

B<If it's not already clear, this is alpha quality software!>

=head1 DATE

$Date: 2004/03/03 05:26:52 $

=head1 AUTHOR

Aaron Straup Cope

=head1 LICENSE

Copyright (c) 2004 Aaron Straup Cope. All rights reserved.

This is free software, you may use it and distribute it under the
same terms as Perl itself.

=cut

return 1;
