use strict;

package ASCOPE::Delicious::DateTime;
use base qw (DateTime);

# $Id: DateTime.pm,v 1.3 2004/03/02 19:36:19 asc Exp $

=head1 NAME

ASCOPE::Delicious::DateTime -

=head1 SYNOPSIS

=head1 DESCRIPTION

=cut

use ASCOPE::Delicious::Config;

sub new {
    my $pkg = shift;

    my $self = $pkg->SUPER::new(@_);
    $self->set_time_zone();

    return $self;
}

sub from_epoch {
    my $pkg = shift;

    my $dt = $pkg->SUPER::from_epoch(@_);
    $dt->set_time_zone();

    return $dt;
}

sub now {
    my $pkg = shift;

    my $dt = $pkg->SUPER::now(@_);
    $dt->set_time_zone();

    return $dt;
}

sub set_time_zone {
    my $self = shift;

    if (my $tz = $ASCOPE::Delicious::Config::timezone) {
	return $self->SUPER::set_time_zone($tz);
    }

    return 1;
}


=head1 VERSION

0.01

B<If it's not already clear, this is alpha quality software!>

=head1 DATE

$Date: 2004/03/02 19:36:19 $

=head1 AUTHOR

Aaron Straup Cope

=head1 LICENSE

Copyright (c) 2004 Aaron Straup Cope. All rights reserved.

This is free software, you may use it and distribute it under the
same terms as Perl itself.

=cut

return 1;
