use strict;

package ASCOPE::Delicious::User;
use base qw (ASCOPE::Delicious::DBI);

# $Id: User.pm,v 1.6 2004/03/02 23:22:23 asc Exp $

=head1 NAME

ASCOPE::Delicious - Aaron's del.icio.us hack

=head1 SYNOPSIS

=head1 DESCRIPTION

=cut

use ASCOPE::Delicious::Constants qw (:dbtables);

__PACKAGE__->set_up_table(DBTABLE_USERS);

__PACKAGE__->has_many("posts",
		      "ASCOPE::Delicious::Post",
		      "userid");

sub retrieve_by_username {
    my $pkg = shift;
    my ($user) = $pkg->search({username=>$_[0]});
    return $user;
}

__PACKAGE__->set_sql("tags" => qq(
SELECT DISTINCT(t.tag), t.* FROM tags t, posts p, post_tags k, users u WHERE
 t.tagid  = k.tagid AND
 k.postid = p.postid AND
 p.userid = u.userid AND
 u.userid = ? AND
 t.tag LIKE ?
 ORDER BY p.date,t.tag
 LIMIT 50));

sub tags {
    my $self  = shift;
    my $limit = shift;

    $limit ||= "%";

    my $sth = $self->sql_tags();
    $sth->execute($self->id(),$limit);

    return ASCOPE::Delicious::Tag->sth_to_objects($sth);
}

__PACKAGE__->set_sql("dates" => qq(
 SELECT DISTINCT(strftime('%Y-%m-%d',datetime(date, 'unixepoch'))) 
 FROM posts p, users u
 WHERE p.userid = u.userid
 AND u.userid = ?
 ORDER BY p.date));

sub dates {
    my $self = shift;

    # Note: this is currently fuct under
    # DBD::SQLite 0.31 + Ima::DBI 0.32
    
    my $sth = $self->sql_dates();
    $sth->execute($self->id());

    return map {
	map { $_ } @$_;
    } @{$sth->fetchall_arrayref()};
}


=head1 VERSION

0.01

B<If it's not already clear, this is alpha quality software!>

=head1 DATE

$Date: 2004/03/02 23:22:23 $

=head1 AUTHOR

Aaron Straup Cope

=head1 LICENSE

Copyright (c) 2004 Aaron Straup Cope. All rights reserved.

This is free software, you may use it and distribute it under the
same terms as Perl itself.

=cut

return 1;
