use strict;
use Test::More;

plan tests => 11;

use_ok(qq(Cwd));
use_ok(qq(File::Spec));
use_ok(qq(DBI));
use_ok(qq(DBD::SQLite));

my $cwd = getcwd();

my $t = File::Spec->catdir($cwd,"t");
ok(-d $t);

my $db = File::Spec->catfile($t,"delicious.sqlite");
ok((-f $db) ? unlink($db) : 1);

my $dbi = DBI->connect("dbi:SQLite:dbname=$db");
isa_ok($dbi,"DBI::db");

my $schemadir = File::Spec->catdir($cwd,"schema");
ok(-d $schemadir);

my $schema = File::Spec->catfile($schemadir,"sqlite.txt");
ok(-f $schema);

ok(open FH , $schema);

my $not_ok = 0;

while (<FH>) {
      my $ln = $_;
      chomp $ln;

      $dbi->do($ln) || $not_ok ++;
}

ok($not_ok < 1);

# $Id: 00-create-database.t,v 1.3 2004/03/03 05:26:52 asc Exp $


