use strict;
use Test::More;

BEGIN {

  plan tests => 7;

  use_ok("Cwd");
  use_ok("File::Spec");
  use_ok("ASCOPE::Delicious::Config");

  my $root = File::Spec->catdir(getcwd(),"t");
  my $db   = File::Spec->catfile($root,"delicious.sqlite");

  ok(-f $db);

  $ASCOPE::Delicious::Config::database = "dbname=$db";
}

use_ok(qq(ASCOPE::Delicious));

my $user = ASCOPE::Delicious->create({username => "test"});
isa_ok($user,qq(ASCOPE::Delicious));

cmp_ok($user->username(),"eq","test");

# $Id: 00-create-user.t,v 1.5 2004/03/03 05:26:52 asc Exp $


