use strict;
use Test::More;

BEGIN {
  plan tests => 8;

  use_ok("Cwd");
  use_ok("File::Spec");
  use_ok("ASCOPE::Delicious::Config");

  my $root = File::Spec->catdir(getcwd(),"t");
  my $db   = File::Spec->catfile($root,"delicious.sqlite");

  ok(-f $db);

  $ASCOPE::Delicious::Config::database = "dbname=$db";
}

use_ok(qq(ASCOPE::Delicious));

my $user = ASCOPE::Delicious->new({username=>"test"});

isa_ok($user,qq(ASCOPE::Delicious));

my $post = $user->add_post({url   => "http://www.aaronland.info",
			    title => "aaronland",
			    tag   => "aaron"});

isa_ok($post,qq(ASCOPE::Delicious::Post));

cmp_ok($post->title(),"eq","aaronland");

# $Id: 10-add-post.t,v 1.4 2004/03/03 05:26:53 asc Exp $

