use strict;
use Test::More;

BEGIN {
  plan tests => 10;

  use_ok("Cwd");
  use_ok("File::Spec");
  use_ok("ASCOPE::Delicious::Config");

  my $root = File::Spec->catdir(getcwd(),"t");
  my $db   = File::Spec->catfile($root,"delicious.sqlite");

  ok(-f $db);

  $ASCOPE::Delicious::Config::database = "dbname=$db";
}

use_ok(qq(ASCOPE::Delicious));
use_ok(qq(ASCOPE::Delicious::DateTime));

my $user = ASCOPE::Delicious->new({username=>"test"});
isa_ok($user,qq(ASCOPE::Delicious));

my $dt = ASCOPE::Delicious::DateTime->today();
isa_ok($dt,qq(ASCOPE::Delicious::DateTime));

my $it = $user->posts_for_date($dt->year(),$dt->month(),$dt->day());
isa_ok($it,qq(Class::DBI::Iterator));

ok($it->count());

# $Id: 15-posts-for-date.t,v 1.5 2004/03/03 05:26:53 asc Exp $
