use strict;
use Test::More;

BEGIN {
  plan tests => 9;

  use_ok("Cwd");
  use_ok("File::Spec");
  use_ok("ASCOPE::Delicious::Config");

  my $root = File::Spec->catdir(getcwd(),"t");
  my $db   = File::Spec->catfile($root,"delicious.sqlite");

  ok(-f $db);

  $ASCOPE::Delicious::Config::database = "dbname=$db";
}

use_ok(qq(ASCOPE::Delicious));

my $user = ASCOPE::Delicious->new({username=>"test"});
isa_ok($user,qq(ASCOPE::Delicious));

my @posts = $user->posts();
ok(@posts);

my $first = $posts[0];
isa_ok($first,qq(ASCOPE::Delicious::Post));

cmp_ok($first->title(),"eq","aaronland");

# $Id: 15-posts-for-user.t,v 1.3 2004/03/03 05:26:53 asc Exp $


