use strict;
use Test::More;

BEGIN {
  plan tests => 8;

  use_ok("Cwd");
  use_ok("File::Spec");
  use_ok("ASCOPE::Delicious::Config");

  my $root = File::Spec->catdir(getcwd(),"t");
  my $db   = File::Spec->catfile($root,"delicious.sqlite");

  ok(-f $db);

  $ASCOPE::Delicious::Config::database = "dbname=$db";
}

use_ok(qq(ASCOPE::Delicious::Tag));

my $first = ASCOPE::Delicious::Tag->find_or_create({tag=>"foo/bar"});
isa_ok($first,qq(ASCOPE::Delicious::Tag));

my $second = ASCOPE::Delicious::Tag->find_or_create({tag=>"foo/bar"});
isa_ok($second,qq(ASCOPE::Delicious::Tag));

cmp_ok($first->id(),"eq",$second->id());

# $Id: 20-add-tag.t,v 1.2 2004/03/03 05:26:53 asc Exp $
